import type { NormalizedEChartOption, NormalizedDataset } from './index';
import type { BasicDimension } from './dimensions';
import type { BasicMetric } from './metrics';
export type UniversalAddon = (option: NormalizedEChartOption, params?: {
    dataset: NormalizedDataset;
    dimensions: BasicDimension[];
    metrics: BasicMetric[];
}) => void;
export interface BuiltInAddon {
    name: BuiltInAddonType;
    [key: string]: any;
}
export declare enum BuiltInAddonType {
    useDoughnut = 0,
    useDoughnutCenterTotal = 1,
    useBarStack = 2
}
export interface UseDoughnut {
    name: BuiltInAddonType.useDoughnut;
    inner: number;
    outer: number;
}
export interface UseBarStack {
    name: BuiltInAddonType.useBarStack;
    stacks?: {
        name: string;
        keys: string[];
    }[];
}
